# Class JDBCDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.StarTableDataNode
uk.ac.starlink.datanode.nodes.JDBCDataNode

All Implemented Interfaces:
  `DataNode`

public class JDBCDataNode extends StarTableDataNode
DataNode representing a JDBC StarTable.

## Constructor Summary

Constructors
Constructor
Description
`JDBCDataNode(String url)`
`JDBCDataNode(uk.ac.starlink.table.jdbc.JDBCStarTable jdbcTable)`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureDetail(DetailViewer dv)`
No custom configuration is performed.
`String`
`getNodeTLA()`
The `DefaultDataNode` implementation returns the string "...".
`String`
`getNodeType()`
Returns a short sentence indicating what kind of node this is.

### Methods inherited from class StarTableDataNode

`getDataObject, getDescription, getName, getTableFactory, hasDataObject, makeStarTable, makeStarTable`

### Methods inherited from class DefaultDataNode

`allowsChildren, beep, getChildIterator, getChildMaker, getCreator, getIcon, getLabel, getParentObject, getPathElement, getPathSeparator, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JDBCDataNode

public JDBCDataNode(String url) throws NoSuchDataException

Throws:
  `NoSuchDataException`

### JDBCDataNode

public JDBCDataNode(uk.ac.starlink.table.jdbc.JDBCStarTable jdbcTable) throws NoSuchDataException

Throws:
  `NoSuchDataException`

## Method Details

### getNodeTLA

public String getNodeTLA()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the string "...".

Specified by:
  `getNodeTLA` in interface `DataNode`
Overrides:
  `getNodeTLA` in class `StarTableDataNode`
Returns:
  "..."

### getNodeType

public String getNodeType()
Description copied from interface: `DataNode`
Returns a short sentence indicating what kind of node this is. The return value should be just a few words. As a rough guideline it should indicate what the implementing class is.

Specified by:
  `getNodeType` in interface `DataNode`
Overrides:
  `getNodeType` in class `StarTableDataNode`
Returns:
  a short description of the type of this `DataNode`

### configureDetail

public void configureDetail(DetailViewer dv)
Description copied from class: `DefaultDataNode`
No custom configuration is performed.

Specified by:
  `configureDetail` in interface `DataNode`
Overrides:
  `configureDetail` in class `DefaultDataNode`
Parameters:
  `dv` - the detail viewer which this node is given an opportunity to configure